Get Printer by ID
Get a single Printer by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
printer_id
ID of the Printer.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
address
Network address of the printer.
createdAt
Datetime when the printer was created.
description
Short description of the printer.
id
ID of the printer.
modifiedAt
Datetime when the printer was last modified.
name
Name of the printer.
port
Port to reach the printer at.
registry
The registry associated with this printer.
Errors
400
Printer Get Request Bad Request Error
403
Printer Get Request Forbidden Error
404
Printer Get Request Not Found Error
429
Printer Get Request Too Many Requests Error
500
Printer Get Request Internal Server Error